Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataObjectSource Class Reference

`#include <vtkDataObjectSource.h>`

Inheritance diagram for vtkDataObjectSource:

[legend]
Collaboration diagram for vtkDataObjectSource:

[legend]
List of all members.

## Detailed Description

abstract class specifies interface for

Date:
  2002/10/04 20:43:43

Revision:
  1.18

field source (or objects that generate field output)

vtkDataObjectSource is an abstract object that specifies behavior and interface of field source objects. Field source objects are source objects that create vtkFieldData (field data) on output.

Concrete subclasses of vtkDataObjectSource must define Update() and Execute() methods. The public method Update() invokes network execution and will bring the network up-to-date. The protected Execute() method actually does the work of data creation/generation. The difference between the two methods is that Update() implements input consistency checks and modified time comparisons and then invokes the Execute() which is an implementation of a particular algorithm.

vtkDataObjectSource provides a mechanism for invoking the methods StartMethod() and EndMethod() before and after object execution (via Execute()). These are convenience methods you can use for any purpose (e.g., debugging info, highlighting/notifying user interface, etc.) These methods accept a single void* pointer that can be used to send data to the methods. It is also possible to specify a function to delete the argument via StartMethodArgDelete and EndMethodArgDelete.

Another method, ProgressMethod() can be specified. Some filters invoke this method periodically during their execution. The use is similar to that of StartMethod() and EndMethod().

An important feature of subclasses of vtkDataObjectSource is that it is possible to control the memory-management model (i.e., retain output versus delete output data). If enabled the ReleaseDataFlag enables the deletion of the output data once the downstream process object finishes processing the data (please see text).

See also:
  vtkSource vtkFilter vtkFieldDataFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (74%)
  - Cedilnik, Andy (9%)
  - Biddiscombe, John (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkDataObjectSource.cxx)`
  - .`h` (`/Filtering/vtkDataObjectSource.h)`

Definition at line 77 of file vtkDataObjectSource.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkDataObject * | GetOutput ()
vtkDataObject * | GetOutput (int idx)
void | SetOutput (vtkDataObject *)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataObjectSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataObjectSource ()
| ~vtkDataObjectSource ()

## Member Typedef Documentation

typedef vtkSource vtkDataObjectSource::Superclass

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToDataObjectFilter, and vtkMeshQuality. Definition at line 80 of file vtkDataObjectSource.h.

## Constructor & Destructor Documentation

vtkDataObjectSource::vtkDataObjectSource | ( |  | ) | `[protected]`

vtkDataObjectSource::~vtkDataObjectSource | ( |  | ) | `[inline, protected]`

| Definition at line 93 of file vtkDataObjectSource.h.

## Member Function Documentation

virtual const char* vtkDataObjectSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToDataObjectFilter, and vtkMeshQuality.

int vtkDataObjectSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkDataSetToDataObjectFilter, and vtkMeshQuality.

virtual int vtkDataObjectSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkDataSetToDataObjectFilter, and vtkMeshQuality.

vtkDataObjectSource* vtkDataObjectSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToDataObjectFilter, and vtkMeshQuality.

void vtkDataObjectSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource. Reimplemented in vtkDataSetToDataObjectFilter, and vtkMeshQuality.

vtkDataObject* vtkDataObjectSource::GetOutput | ( |  | ) |

| Get the output field of this source.

vtkDataObject* vtkDataObjectSource::GetOutput | ( | int | idx | ) | `[inline]`

| Get the output field of this source. Reimplemented from vtkSource. Definition at line 86 of file vtkDataObjectSource.h. References vtkSource::GetOutput().

void vtkDataObjectSource::SetOutput | ( | vtkDataObject * |  | ) |

| Get the output field of this source.

The documentation for this class was generated from the following file:

- Filtering/vtkDataObjectSource.h